/* Testing GAS sensors of MQ series with serial monitor
   Suitable for detecting of LPG, i-butane, propane, methane ,alcohol, Hydrogen or smoke
   More info: http://www.ardumotive.com/how-to-use-mq2-gas-sensor-en.html
 */

/* 
 *  Wiring:
 *  MQ sensor (FC22 board)                  Arduino
 *  - VCC                     ->            5V
 *  - GND                     ->            GND
 *  - D0                      ->            pin 7
 *  - A0                      ->            A0 (Analog input 0)
 */

const int gasPin = A0; //GAS sensor output pin to Arduino analog A0 pin
int ledPin = 7; // select the pin for the LED

void setup()
{
  pinMode (ledPin, OUTPUT);
  Serial.begin(9600); //Initialize serial port - 9600 bps
}

void loop()
{
  long sensorValue = (long) analogRead(gasPin);
  
  // Value is squared to amplify difference to be visible by change of LED blink period
  long normalizedVal = (sensorValue*sensorValue)/100; 
    
  digitalWrite (ledPin, HIGH);
  delay (normalizedVal);
  digitalWrite (ledPin, LOW);
  delay (normalizedVal);
  
  Serial.println(sensorValue);
}
